Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::EventOwnerChange Class Reference

A GdkEventOwnerChange C++ wrapper class. More...

`#include <xfc/gdk/events.hh>`

Inheritance diagram for Xfc::Gdk::EventOwnerChange:

List of all members.

## Public Member Functions

Accessors

- GdkEventOwnerChange * gdk_event_owner_change () const
    Get a pointer to the GdkEventOwnerChange structure.
- GdkNativeWindow owner () const
    Returns the new owner of the selection.
- OwnerChange reason () const
    Returns the reason for the ownership change as a Gdk::OwnerChange value.
- Atom selection () const
    Returns the atom identifying the selection.
- unsigned int time () const
    Returns the time of the event (in milliseconds).
- unsigned int selection_time () const
    Returns the time at which the selection ownership was taken over (in milliseconds).

## Detailed Description

A GdkEventOwnerChange C++ wrapper class.

EventOwnerChange events are generated when the owner of a selection changes. On X11, this information is only available if the X server supports the XFIXES extension.

The type of event will be OWNER_CHANGE.

The documentation for this class was generated from the following file:

- events.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3